<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
	}
	section,div.services{
		height:100vh;
		width:98vw;
		display: flex;
		justify-content: center;
		align-items: center;
	}

	div.services>div{
		height:60vh;
		width: 20%;
		margin:0 1%;
		background:red;
		transition: 1s;
	}
	.disappear>div{
		opacity: 0;
		transform: translateX(100vw);
	}
	.appear>div{
		opacity: 1;
		transform: translateX(0);
	}

	div.services>div:nth-child(1){
		transition: 1s;
	}
	div.services>div:nth-child(2){
		transition: 0.8s;
	}
	div.services>div:nth-child(3){
		transition: .6s;
	}
	div.services>div:nth-child(4){
		transition: .5s;
	}
	strong{
		position: absolute;
	}
</style>
<body>
<section class="home" id="home">
	<strong id="title">This is home</strong>
</section>
<div class="services disappear" id="services">
	<div></div>
	<div></div>
	<div></div>
	<div></div>
</div>
<script type="text/javascript">
	document.addEventListener('scroll', function (){
		scroll = window.pageYOffset;
		console.log(scroll);
		if(scroll>300){
			document.getElementById('services').classList.remove('disappear');
			document.getElementById('services').classList.add('appear');
		}else{
			document.getElementById('services').classList.remove('appear');
			document.getElementById('services').classList.add('disappear');
		}
	});
	document.getElementById('home').addEventListener('mousemove', function (e){
		let x, y, wh, ww;
		wh=window.innerHeight/2;
		ww=window.innerWidth/2;
		x= e.clientX-ww;
		y= e.clientY-wh;
		console.log(x + " " + y);
		document.getElementById('title').style.transform= "translate("+ -x *.1 +"px,"+ 1*-y+"px)";
	});

</script>
</body>
</html>